Bug 252941 - games/bsdgames: NO_WERROR fix for FreeBSD 13
Summary: games/bsdgames: NO_WERROR fix for FreeBSD 13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Fernando Apesteguía
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-01-23 12:48 UTC by Joachim Werner
Modified: 2021-02-16 13:00 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly+


Attachments
Makefile patch NO_WERROR -> WITHOUT_WERROR (794 bytes, patch)
2021-01-23 12:48 UTC, Joachim Werner
jockl: maintainer-approval+
Details | Diff
Makefile patch NO_WERROR -> WITHOUT_WERROR (535 bytes, patch)
2021-01-24 10:58 UTC, Joachim Werner
jockl: maintainer-approval+
Details | Diff
Makefile patch NO_WERROR -> WITHOUT_WERROR (721 bytes, patch)
2021-01-24 19:31 UTC, Joachim Werner
jockl: maintainer-approval+
Details | Diff
NO_WERROR | bsd.port.post | REINPLACE | .info (2.00 KB, patch)
2021-02-05 14:11 UTC, Joachim Werner
jockl: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Werner 2021-01-23 12:48:48 UTC
Created attachment 221836 [details]
Makefile patch NO_WERROR -> WITHOUT_WERROR

The Makefile for this port used "NO_WERROR" which is deprecated and will not work anymore, so it needed to be changed to be future-proof.
(Shamelessly copied from devel/linux_libusb)
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-23 18:59:55 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]

Q/A:  /tmp/252941/games/bsdgames/pkg-plist: [121]: enumerating info files in the plist is deprecated in favor of adding info files into the Makefile using the INFO macro.
 Makefile: [22]: use a tab (not space) after a variable name
 Makefile: [23]: use a tab (not space) after a variable name
 Makefile: [24]: use a tab (not space) after a variable name
 Makefile: [29]: use a tab (not space) after a variable name


Thanks!
Comment 2 Joachim Werner 2021-01-24 10:58:09 UTC
Created attachment 221871 [details]
Makefile patch NO_WERROR -> WITHOUT_WERROR

changed spaces to tabs (made a copy&paste error before)
Comment 3 Fernando Apesteguía freebsd_committer 2021-01-24 17:50:09 UTC
This does not build

you cannot include bsd.port[.pre].mk twice

^Triage: Please confirm this change passes QA (portlint, poudriere at least)

For details and instructions, see: 

https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 4 Joachim Werner 2021-01-24 19:31:21 UTC
Created attachment 221888 [details]
Makefile patch NO_WERROR -> WITHOUT_WERROR
Comment 5 Joachim Werner 2021-01-24 19:34:03 UTC
Oh no! I'm truly sorry for your inconvenience.
I missed that change while changing spaces to tabs.
This one passes portlint & poudriere testport.
Comment 6 Fernando Apesteguía freebsd_committer 2021-01-25 17:18:50 UTC
One last thing, it seems some of the replaces are not needed anymore or the pattern does not match. Would you mind checking this? Sorry I didn't spot it earlier.

Thanks!


Warning: Possible REINPLACE_CMD issues:
- - REINPLACE_CMD ran, but did not modify file contents: atc/atc.6
- - REINPLACE_CMD ran, but did not modify file contents: atc/pathnames.h
- - REINPLACE_CMD ran, but did not modify file contents: boggle/boggle/bog.h
- - REINPLACE_CMD ran, but did not modify file contents: boggle/boggle/boggle.6
- - REINPLACE_CMD ran, but did not modify file contents: cribbage/cribbage.6
- - REINPLACE_CMD ran, but did not modify file contents: cribbage/pathnames.h
- - REINPLACE_CMD ran, but did not modify file contents: fish/pathnames.h
- - REINPLACE_CMD ran, but did not modify file contents: larn/pathnames.h
- - REINPLACE_CMD ran, but did not modify file contents: quiz/datfiles/index
- - REINPLACE_CMD ran, but did not modify file contents: quiz/pathnames.h
- - REINPLACE_CMD ran, but did not modify file contents: quiz/quiz.6
- - REINPLACE_CMD ran, but did not modify file contents: wump/pathnames.h
- - REINPLACE_CMD ran, but did not modify file contents: canfield/canfield/canfield.6
- - REINPLACE_CMD ran, but did not modify file contents: cribbage/cribbage.6
- - REINPLACE_CMD ran, but did not modify file contents: hunt/hunt/hunt.6
- - REINPLACE_CMD ran, but did not modify file contents: hunt/huntd/huntd.6
- - REINPLACE_CMD ran, but did not modify file contents: phantasia/pathnames.h
- - REINPLACE_CMD ran, but did not modify file contents: wargames/wargames.sh
Comment 7 Joachim Werner 2021-02-05 14:11:27 UTC
Created attachment 222180 [details]
NO_WERROR | bsd.port.post | REINPLACE | .info

this patch
- uses WITHOUT_WERROR instead of NO_WERROR
- fixes the mistake about importing bsd.port.pre & bsd.port
- removes the REINPLACE statements, since the paths were replaced in the source
- moves the wump.info out of the pkg-plist into the Makefile
Comment 8 commit-hook freebsd_committer 2021-02-05 16:43:23 UTC
A commit references this bug:

Author: fernape
Date: Fri Feb  5 16:43:16 UTC 2021
New revision: 564133
URL: https://svnweb.freebsd.org/changeset/ports/564133

Log:
  games/bsdgames: NO_WERROR fix for FreeBSD 13

  * use WITHOUT_WERROR instead of NO_WERROR
  * remove noop REINPLACE statements
  * moves the wump.info out of the pkg-plist into the Makefile

  PR:	252941
  Submitted by:	jockl@pianojockl.org (maintainer)

Changes:
  head/games/bsdgames/Makefile
  head/games/bsdgames/pkg-plist
Comment 9 Fernando Apesteguía freebsd_committer 2021-02-05 16:45:40 UTC
Committed,

Thanks!
Comment 10 commit-hook freebsd_committer 2021-02-16 13:00:01 UTC
A commit references this bug:

Author: fernape
Date: Tue Feb 16 12:59:28 UTC 2021
New revision: 565398
URL: https://svnweb.freebsd.org/changeset/ports/565398

Log:
  MFH: r564133

  games/bsdgames: NO_WERROR fix for FreeBSD 13

  * use WITHOUT_WERROR instead of NO_WERROR
  * remove noop REINPLACE statements
  * moves the wump.info out of the pkg-plist into the Makefile

  PR:	252941
  Submitted by:	jockl@pianojockl.org (maintainer)

Changes:
_U  branches/2021Q1/
  branches/2021Q1/games/bsdgames/Makefile
  branches/2021Q1/games/bsdgames/pkg-plist